RubyGems Navigation menu

ronin-support 1.1.0

ronin-support is a support library for ronin-rb. ronin-support provides many Core Extensions to Ruby's built-in classes as well as its own Classes/Modules. ronin-support can be used by other Ruby libraries, tools, or scripts. It's like pwntools combined with activesupport. ronin-support is part of the ronin-rb project, a Ruby toolkit for security research and development.

Gemfile:
= Copiar al portapapeles ¡Copiado!

instalar:
=

Versiones:

  1. 1.1.0 - July 22, 2024 (252 KB)
  2. 1.1.0.rc2 - July 14, 2024 (252 KB)
  3. 1.1.0.rc1 - June 23, 2024 (251 KB)
  4. 1.0.7 - July 14, 2024 (244 KB)
  5. 1.0.6 - June 20, 2024 (244 KB)
Mostrar todas las versiones (34 total)

dependencias de Runtime (5):

addressable ~> 2.0
chars ~> 0.3, >= 0.3.2
combinatorics ~> 0.4
hexdump ~> 1.0

dependencias de Development (1):

bundler ~> 2.0

Propietarios:

Subida por:

Autores:

  • Postmodern

SHA 256 checksum:

= Copiar al portapapeles ¡Copiado!

Total de descargas 78.823

Para esta versión 370

Licencia:

LGPL-3.0

Versión de Ruby requerida: >= 3.0.0

Nuevas versiones requieren AMF: true

Versión publicada con AMF: true

Enlace: